#ifndef RECTANGLE_FACTORY_H
#define RECTANGLE_FACTORY_H


#include "qrectangle.h"


// Add PythonQt bindings
class QRectangleFactory : public QObject
{
    Q_OBJECT

public slots:
    // Constructor and Destructor
    QRectangle *new_QRectangle(QWidget *parent, int x, int y, int w, int h) { return new QRectangle(parent,x,y,w,h); }
    void delete_QRectangle(QRectangle *o) { delete o; }

    // add access methods
    void setColor(QRectangle *o, int r, int g, int b, int a) { o->setColor(QColor(r,g,b,a)); }
    void show(QRectangle *o) { o->show(); }
    void hide(QRectangle *o) { o->hide(); }
    void move(QRectangle *o, int x, int y) { o->pos = QPoint(x,y); o->move(x,y); }
};


#endif // RECTANGLE_FACTORY_H

